%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check

%global crate git-delta

Name:           rust-git-delta
Version:        0.17.0
Release:    1%{?dist}
Summary:        Syntax-highlighting pager for git

License:        MIT
URL:            https://crates.io/crates/git-delta
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
%if %{with check}
BuildRequires:  git-core
%endif

%global _description %{expand:
A syntax-highlighting pager for git.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        MIT AND Apache-2.0 AND BSD-2-Clause AND BSD-2-Clause-Views AND BSD-3-Clause AND CC-BY-SA-3.0 AND GPL-2.0-only WITH GCC-exception-2.0 AND LGPL-3.0-or-later AND MPL-2.0 AND Unicode-DFS-2016 AND Unlicense AND WTFPL AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc ARCHITECTURE.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/delta
%{bash_completions_dir}/delta.bash
%{fish_completions_dir}/delta.fish
%{zsh_completions_dir}/_delta

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -Dpm0644 etc/completion/completion.bash \
    -T %{buildroot}/%{bash_completions_dir}/delta.bash
install -Dpm0644 etc/completion/completion.fish \
    -T %{buildroot}/%{fish_completions_dir}/delta.fish
install -Dpm0644 etc/completion/completion.zsh \
    -T %{buildroot}/%{zsh_completions_dir}/_delta

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-1
- initial build
